- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MinMemorySize Class Reference

the MinMemorySize class. More...

`#include <OSOption.h>`

Collaboration diagram for MinMemorySize:

[legend]
List of all members.

## Public Member Functions
| MinMemorySize ()
| Default constructor.
| ~MinMemorySize ()
| Class destructor.
bool | IsEqual (MinMemorySize *that)
| A function to check for the equality of two objects.
## Public Attributes
std::string | unit
| the unit in which memory size is measured
std::string | description
| additional description about the memory
double | value
| the minimum memory size required

## Detailed Description

the MinMemorySize class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema. This class has been superseded as of version 2.3 by the class StorageCapacity (see OSGeneral.h)

Definition at line 372 of file OSOption.h.

## Constructor & Destructor Documentation

MinMemorySize::MinMemorySize | ( |  | ) |

Default constructor.

Definition at line 164 of file OSOption.cpp.

MinMemorySize::~MinMemorySize | ( |  | ) |

Class destructor.

Definition at line 174 of file OSOption.cpp.

## Member Function Documentation

bool MinMemorySize::IsEqual | ( | MinMemorySize * | that | ) |

A function to check for the equality of two objects.

Definition at line 8559 of file OSOption.cpp.

References description, isEqual(), unit, and value.

## Member Data Documentation

std::string MinMemorySize::unit

the unit in which memory size is measured

Definition at line 376 of file OSOption.h.

Referenced by IsEqual().

std::string MinMemorySize::description

additional description about the memory

Definition at line 379 of file OSOption.h.

Referenced by IsEqual().

double MinMemorySize::value

the minimum memory size required

Definition at line 382 of file OSOption.h.

Referenced by IsEqual().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp